summaryrefslogtreecommitdiffstats
path: root/games/frozen-bubble/frozen-bubble.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/frozen-bubble/frozen-bubble.SlackBuild')
-rw-r--r--games/frozen-bubble/frozen-bubble.SlackBuild8
1 files changed, 6 insertions, 2 deletions
diff --git a/games/frozen-bubble/frozen-bubble.SlackBuild b/games/frozen-bubble/frozen-bubble.SlackBuild
index 50cbcd8f9e..bb2968ab6f 100644
--- a/games/frozen-bubble/frozen-bubble.SlackBuild
+++ b/games/frozen-bubble/frozen-bubble.SlackBuild
@@ -2,7 +2,8 @@
#
# Slackware build script for Frozen Bubble
#
-# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
+# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
+# Copyright 2017 Heinz Wiesinger, Amsterdam, The Netherlands
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +25,7 @@
PRGNAM=frozen-bubble
VERSION=905bf71
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -92,6 +93,9 @@ cp -a share/icons/$PRGNAM-icon-32x32.png $PKG/usr/share/icons/hicolor/32x32/$PRG
cp -a share/icons/$PRGNAM-icon-48x48.png $PKG/usr/share/icons/hicolor/48x48/$PRGNAM.png
cp -a share/icons/$PRGNAM-icon-64x64.png $PKG/usr/share/icons/hicolor/64x64/$PRGNAM.png
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
find $PKG/usr/man -type f -exec gzip -9 {} \;
find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true